Subject: bug#78977: 2 bugs in Emacs Lisp Intro

From: "Иван Битюцкий" <[email-masked]>
Date: Tue, 08 Jul 2025 20:24:56 +0000

I've found 2 bugs in "Emacs Lisp Intro", which is"An Introduction to Programming in Emacs Lisp" by Bob Chassell. *** 1st bug: When reading in Emacs in info and evaluating code from Appendix C "A graph with labeled axes" with C-x C-e, then switching to scratch buffer to print the graph, Emacs complains about wrong number of arguments to a function print-Y-axis . *** 2nd bug: Appendix C "A graph with labeled axes" , function print-X-axis-numbered-line does not print the first number in the X axis of the graph. *** I've fixed both bugs and the fixed functions are in attached file eintr-bugfix.el.gz *** Suggestion: Add another page with final versions of all functions to print graph put together, so readers can install them with C-x C-e, then switch to the scratch buffer and print the graph. I've collected all the necessary functions with bugfixes and a small extra function to make it easier to print graph in attached file eintr-graph.el.gz *** Other:  At the end of Index node, when I press SPACE, I'm taken to "C.2.1 Side Trip: Compute a Remainder" instead of "About the Author" node. *** Earlier today I've sent a similar email, but got a response about "mail not delivered". Trying to send it again.